.TH CFINGERD.TEXT 5 "7 Aug 1999" "1.4.2" "Configurable Finger Daemon"
.SH NAME
cfingerd text rules
.br
.SH "EXPLANATION"
.B cfingerd
offers different commands that can be placed in text files to display 
corresponding information.  Each command used with
.B cfingerd
in text files 
begins with a dollar-sign (or a "$").  This usually indicates to
.B cfingerd
that when it's displaying a file, it issues the command given directly
after that character and inserts its output.
.PP
If you want to display a raw "$" sign, simply put two "$" signs together, 
or "$$".
.PP
Text commands are only parsed if ALLOW_LINE_PARSING is enabled in
/etc/cfingerd/cfingerd.conf(5).  If it is disabled the text files
will be sent as is, complete with any single or double dollar
signs they may contain.
.br
.SH "TEXT COMMANDS"
The following is a list of text commands and what they do.  They are
checked case insensitively.
.PP
.B $CENTER
will display the entire contents of the line.  This command must start at 
the beginning of the line.  This is a very common command.
.PP
.B $DATE
displays the current system date in the format of MM/DD/YY.
.PP
.B $TIME
displays the current system time in the format HH:MM A/PM (timezone).
.PP
.B $IDENT
displays the identity of the current person fingering your system.
.PP
.B $COMPILE_DATETIME
displays the date and time of which the current issue of
.B cfingerd
was 
compiled on your system.
.PP
.B $VERSION
displays the current version of
.BR cfingerd .
.PP
.B $EXEC
executes the rest of the line as a system command and send the
output to the fingering user.  Pipes, parameters etc. are
available. The
.B $EXEC
command must be on a line by itself in order to function properly.
The command is executed as nobody.nogroup if used in a system file.
If used in a user file (e.g.
.IR .plan )
the command is executed as that particular user.
.B cfingerd
will fork() before executing the new command and will drop all
priviledges so this is safe.
.PP
This feature is only available if
.B ALLOW_EXECUTION
is enabled in cfingerd.conf.  The program may prodeuce a maximum of
10MB of output.
.br
.SH CONTACTING
If you like the software, and you want to learn more about the software, 
or want to see a feature added to it that isn't already here, then please 
write to cfingerd@infodrom.north.de.  The project's webpage is at
http://www.infodrom.north.de/cfingerd/ .
.SH "SEE ALSO"
.BR cfingerd (8),
.BR cfingerd.conf (5),
.BR finger (1),
.BR userlist (1),
any of the included docs with the standard cfingerd distribution.
